From e2ae214e3eed0ea64cd7a0979ea6a30c57136a4c Mon Sep 17 00:00:00 2001
From: 3np <3np@example.com>
Date: Mon, 1 Aug 2022 14:06:02 +0900
Subject: [PATCH 16/21] fix: don't error on non-responses

---
 mopidy_spotify/web.py | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/mopidy_spotify/web.py b/mopidy_spotify/web.py
index 4499e19b..c3ed571e 100644
--- a/mopidy_spotify/web.py
+++ b/mopidy_spotify/web.py
@@ -98,7 +98,7 @@ def get(self, path, cache=None, *args, **kwargs):
         if result is None or "error" in result:
             logger.error(
                 "Spotify Web API request failed: "
-                f"{result.get('error','Unknown')}"
+                f"{result.get('error','Unknown') if result else 'Unknown'}"
             )
             return WebResponse(None, None)
 

